import { LauncherModule } from "..";

export const queentreeApi = LauncherModule.define({
  async selectOneAsset(assetType: string) {
    
    const { waitChanell } = await this.controls.natsCtrl.requestApi(
      "tree.selector.iframe.packcomp"
    );
    this.controls.natsCtrl.subscribe(waitChanell, (asset: any) => {
      console.log(asset);
    });

    const url = await this.controls.natsCtrl.requestApi("xxx.url");

    //openIframe
    //wait iframe result
  },
});
